<mat-card class="card">
  <form [formGroup]="form" class="card__form" (ngSubmit)="onSubmit()">
    <ul>
      <li>
        <mat-form-field class="card__form__field">
          <mat-label>Item</mat-label>
          <input type="text" matInput formControlName="item" />
        </mat-form-field>
      </li>

      <li>
        <app-lock formControlName="isLocked"></app-lock>
      </li>
    </ul>

    <button
      mat-raised-button
      color="primary"
      type="submit"
      class="card__form__button"
      [disabled]="form.invalid"
    >
      Submit
    </button>
  </form>

  <pre>
    value: {{ form.value | json }}
  </pre>
</mat-card>
